
Infrastructure - Task #1718

Story # 1388 (Closed): implement MN-MN replication manager in CN stack

Create Hazelcast replication configuration that uses TCP vs multicast

2011-08-25 14:00 - Chris Jones

Status: Closed Start date: 2011-08-25

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

For distributed replication queues, we'll need to configure the Hazelcast queues on initialization to use TCP rather than multicast,

which will require that we know the IP addresses of all CNs.  Also, change the backup policy to 3, and configure the merge policy

such that we add all unique tasks back into the queue in the event of all CNs going down.

History

#1 - 2011-08-25 14:01 - Chris Jones

- Subject changed from Create Hazelcast configuration that uses TCP vs multicast to Create Hazelcast replication configuration that uses TCP vs

multicast

#2 - 2011-08-25 14:26 - Chris Jones

- Assignee set to Chris Jones

#3 - 2011-09-07 20:17 - Chris Jones

- Status changed from New to Closed

d1_replication has a hazelcast.xml file in the classpath now.  This may need to be refactored to be a centralized configuration in a d1_hazelcast

component or something similar. 
